LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-13-2014, 01:23 AM   #76
saxa
Member
 
Registered: Aug 2004
Posts: 388

Original Poster
Rep: Reputation: 32

Pattakosn, for now there is no installer for 3.14 stuff only way is to install them by hand. You can always do a for loop to install them to make it automatic, if you install them twice you should be ok, as some of them have to be installed in a certain order.

Please post about 3.14 stuff in the 3.14 thread.
 
Old 07-13-2015, 11:33 AM   #77
scarrs
Member
 
Registered: Sep 2013
Location: Thunder Bay, Ontario
Distribution: Slackware 14.1 x86_64
Posts: 38

Rep: Reputation: Disabled
Question heads up?

Hey guys...

I'm running Slackware 14.1 and the nvidia drivers and for whatever reason NOW all I get is a black screen when I log into gnome. I have used the EXACT same setup on the EXACT same machine several times and it worked. Also, the SAME hardware. I'm stumped. It should just work. I have no clue at the moment. I have seen snippets on the web about the same problem, but have not been able to find a solution. A little help?
 
Old 07-13-2015, 01:12 PM   #78
saxa
Member
 
Registered: Aug 2004
Posts: 388

Original Poster
Rep: Reputation: 32
There is few things you can do. Firstly let us have more details on what you get in the logs. Please post error messages. Which version of dropline are you using ? 3.10 was working ok from what i remember. Today you can safely use 3.14, it is called an alpha release as it has not all the software in place yet, but you can safely use it, it won't destroy your computer at least it didn't mine.

Please try to start gnome from a terminal in another X session and see what happens, post logs.
Try to see if you startx > mylog.txt 2>&1 when you starting from a tty.
Also if possible post the /var/log/X.org.log.0 or whatever the x log file is named.

Have you rebuilt nvidia drivers , this can also help to solve your problem.
Updating xorg-server from slackware to the latest one have a need to rebuid nvidia drivers on my machine, otherwise i happen to end with a black sreen too.
 
Old 07-13-2015, 06:36 PM   #79
scarrs
Member
 
Registered: Sep 2013
Location: Thunder Bay, Ontario
Distribution: Slackware 14.1 x86_64
Posts: 38

Rep: Reputation: Disabled
Saxa,

My very bad... I forgot to reboot after I set the language. (doh) I'm not sure if I could have just ./etc/profile.d/lang.sh or not but any how I rebooted and was like oh! yeah! and all is well now. Perhaps you can tell me though how to get totem to play videos? I kind of solved the totem startup problem by linking the libgstaudio and etc. to the 204.X libraries instead of the 40X ones and now totem starts fine. But it wont play videos. I am guessing that I have to have the 40X ones working to get this done. any tips? (totem was complaining of "datetime" something or other...)
 
Old 07-14-2015, 01:55 PM   #80
saxa
Member
 
Registered: Aug 2004
Posts: 388

Original Poster
Rep: Reputation: 32
Hi, glad to see all is well, but I think you have not installed all the packages we ship. datetime is a package we shipped to solve a date problem in gnome3. Try to firstly install everything then let me know if it works. Try starting totem from a terminal and see what it complains for.
 
Old 07-15-2015, 09:58 AM   #81
scarrs
Member
 
Registered: Sep 2013
Location: Thunder Bay, Ontario
Distribution: Slackware 14.1 x86_64
Posts: 38

Rep: Reputation: Disabled
Saxa, ok will do... it IS possible that I did not install all the packages. At one point I had made a custom directory with all the GNOME3 packages that I wanted installed, but I fail to see why I wouldn't install that one :/ I will download it right now and try that as well as re-linking the 4XX libraries for gstaudio, video etc. and see if it works. I am totally anxious to try out the new gnome as well. I had it installed before but the gtk package wasn't working properly for me. Specifically with a theme I have worked so hard on putting together. If you are interested, you can search for "Ambiance-Gnomelooks" on gnomelook.org and test the theme out on the new gnome and see if it works. If it "does" then I will download the new packages and install it because I was pretty happy with what I saw initially. Once again, thanks for your replies and I look forward to getting the 3.14 release as soon as it can accommodate my theme. I have also put together a "Adwaita_Humanlooks-Dark" icon set that I am in the final stages of tweaking... getting rid of extra icons and whatnot; that looks really great with GNOME 3.X

Peace man... G
 
Old 07-15-2015, 02:41 PM   #82
saxa
Member
 
Registered: Aug 2004
Posts: 388

Original Poster
Rep: Reputation: 32
Scarrs, I remember your theme, although I have no time even to finish the standard packages due to my job stuff. But I would be really glad if you can supply me fixes on what would make your theme work with gnome 3.14 .

To install gnome 3.14 if you have all the packages you should only point the stuff you have in Katja.conf to the right place and re-run "pkcon refresh force" and "pkcon install dropline" it should upgrade everything alone. Another way is to run the gnome-packagekit with "gpk-application" or gnome-software after you pointed to the correct location in /etc/PackageKit/Katja.conf .

This should also install you all the needed packages.
 
Old 07-15-2015, 05:29 PM   #83
scarrs
Member
 
Registered: Sep 2013
Location: Thunder Bay, Ontario
Distribution: Slackware 14.1 x86_64
Posts: 38

Rep: Reputation: Disabled
great, I will check it out and do some dev. work for you. also totem works now that I installed perl-Datetime ... I had to install the "slack" version of the package because I couldn't find the dropline one on any of it's mirrors. you sure it's included? any it works now (movies and iso's) but only as root. it complains of missing libraries when I run it as a user :/

do you have any pointers as to how I might get the gtk3+ package to work with my theme? or should I just install it and extract the old one and use some of the libraries? just wondering --peace
 
Old 07-16-2015, 05:45 AM   #84
saxa
Member
 
Registered: Aug 2004
Posts: 388

Original Poster
Rep: Reputation: 32
Ok, grat to hear totem is working, after all the requirement for dropline is a full slackware install. Dropline does not supply perl-datetime. If it complains by missing libraries you should do a check of what else you need to install to make it work.

For the gtk+3 I have no idea on where you should start. My opinion is that you do a full slackware install and then install dropline gnome in full, after that install your theme and start debugging where it fails.
 
Old 07-17-2015, 12:32 PM   #85
scarrs
Member
 
Registered: Sep 2013
Location: Thunder Bay, Ontario
Distribution: Slackware 14.1 x86_64
Posts: 38

Rep: Reputation: Disabled
Saxa,

I don't have internet at home and need to download dropline via filezilla at the library within 1 hour. Sourceforge is no go. I need a mirror that has all the latest packages. can you help?
 
Old 07-17-2015, 01:39 PM   #86
saxa
Member
 
Registered: Aug 2004
Posts: 388

Original Poster
Rep: Reputation: 32
You can always get them from http://www.droplinegnome.org/files/3.14 .
 
Old 04-27-2017, 02:23 PM   #87
josefius
LQ Newbie
 
Registered: Apr 2017
Posts: 6

Rep: Reputation: Disabled
Is this project still going? I tried to use the pkcon utility and it can't connect to the server :/
 
Old 04-27-2017, 02:49 PM   #88
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2 on Lenovo Thinkpad W520
Posts: 7,632

Rep: Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571
Hi josefius.

You should not use pkcon as it is not supposed to be used with Slackware packages as far as I know and dropline GNOME only provides packages in Slackware format. Are you running Slackware?

Anyway the link provided by saxa is not broken.

Last edited by Didier Spaier; 04-27-2017 at 02:56 PM.
 
Old 04-27-2017, 02:54 PM   #89
belka.ew
Member
 
Registered: Jul 2012
Location: Germany / München
Distribution: Slackware
Posts: 67

Rep: Reputation: Disabled
Quote:
Originally Posted by Didier Spaier View Post
Hi josefius.

You should not use pkcon as it is of no use in Slackware and dropline GNOME only provides packages in Slackware format. Are you running Slackware?
it is not completely true. I've written a PackageKit backend for slackware used by dropline. But unfortunately it is still immature and it is my fault. I just fixed some bugs in the last time but it needs a lot more work.

2josefius,

you're welcome to open in issue at https://github.com/hughsie/PackageKit with more information (maybe in debug mode), so I can reproduce the issue.
 
Old 04-27-2017, 02:58 PM   #90
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2 on Lenovo Thinkpad W520
Posts: 7,632

Rep: Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571Reputation: 2571
@belka.ew: I stand corrected. Oh, and I edited my previous post while you were writing.
 
  


Reply

Tags
dropline, gnome, slackware


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How to set perferred applications in Gnome/Slackware 12/Dropline Gnome ? perry Slackware 3 05-27-2008 03:53 PM
Dropline gnome and included gnome linda Slackware 1 09-01-2004 01:39 PM
dropline-gnome and gnome-look.org linuxnubx Slackware 4 08-23-2004 01:58 AM
What is the difference between Gnome and Dropline Gnome mikieboy Linux - Software 7 07-29-2004 11:52 AM
Difference between Gnome and Dropline-Gnome ?? Necronomicom Slackware 13 06-09-2004 11:16 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:17 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration